<mat-drawer-container class="navbar-container" autosize [ngClass]="{'open-menu-nav-bar': open}">
  <mat-drawer #navbarlist class="navbar-list" mode="side" opened="true">
    <app-menu-user></app-menu-user>
    <app-menu-list></app-menu-list>
  </mat-drawer>

  <div class="navbar-content">
    <mat-toolbar>
      <button
        mat-icon-button
        class="toogle-nav-bar"
        aria-label="Abertura e fechamento do menu de navegação"
        type="button"
        mat-button
        (click)="toggleNavBar()"
      >
        <mat-icon>menu</mat-icon>
      </button>
      <div class="navbar-actions">
        <app-menu-notification></app-menu-notification>
        <app-menu-inbox></app-menu-inbox>
        <app-menu-account></app-menu-account>
        <finchildren-style-guide></finchildren-style-guide>
      </div>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </div>
</mat-drawer-container>
